Bug 50747 - Add policy for /usr/share/locale/* directories
Add policy for /usr/share/locale/* directories
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Mike McLean
: FutureFeature
: 52162 (view as bug list)
Depends On:
Blocks: 50676 50701 51381 52161
  Show dependency treegraph
Reported: 2001-08-02 15:57 EDT by Enrico Scholz
Modified: 2015-03-04 20:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-28 00:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-08-02 15:57:59 EDT
Currently the most directories under /usr/share/locale are containing data
but are not owned by any package:

| $ cd /usr/share/locale
| $ rpm -qf af af/LC_MESSAGES/ af/LC_MESSAGES/sysstat.mo 
| file af is not owned by any package
| file af/LC_MESSAGES is not owned by any package
| sysstat-4.0.1-1

While upgrading packages a lot of ugly messages will be created:

| Warnung:    erase rmdir of /usr/share/locale/nl/LC_MESSAGES failed:
Directory not empty
| Warnung:    erase rmdir of /usr/share/locale/fr/LC_MESSAGES failed:
Directory not empty
| Warnung:    erase rmdir of /usr/share/locale/es/LC_MESSAGES failed:
Directory not empty
| Warnung:    erase rmdir of /usr/share/locale/cs/LC_MESSAGES failed:
Directory not empty

It would be nice to know which is the recommended strategy. Shall the
directories `af' and `af/LC_MESSAGES' owned by the `sysstat'-package, or
does there exists a package like `filesystem' which contains these dirs?

(Latter case seems to be inoperable because there exist thousands of
possible names)

Where have I to file my bugreports regarding such unowned dirs?
Comment 1 Glen Foster 2001-08-06 16:44:12 EDT
This needs to be documented somewhere (glibc?)... assigning to Bill.
Comment 2 Glen Foster 2001-08-06 18:28:43 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 3 Bill Nottingham 2001-08-06 23:33:55 EDT
Jakub, since glibc owns most of these directories, I really don't see a much
better solution than it owning the union of all locales we ship in our packages;
Comment 4 Bill Nottingham 2001-08-21 08:58:01 EDT
*** Bug 52162 has been marked as a duplicate of this bug. ***
Comment 5 Tom "spot" Callaway 2005-06-24 03:08:49 EDT
This is still pending. FOUR YEARS LATER.

This is also an easy thing to fix.
Comment 6 Jakub Jelinek 2005-06-24 03:52:43 EDT
I disagree that this should be owned by glibc-common.
glibc-common owns just the 27 directories it ships libc.mo for, while there
are more than hundred other directories for locales of the day.
Maintaining it is going to be really hard.
Furthermore, e.g. coreutils populates also /usr/share/locale/*/LC_TIME
subdirectories in addition to LC_MESSAGES.

IMHO, either they should be owned by filesystem, in case somebody wants to
manually maintain the union, or each package that ships .mo files should own
its directories (the latter is a cleaner solution and cheaper for human work,
but more expensive for rpm/yum/etc. I guess).
Comment 7 Phil Knirsch 2006-06-28 00:47:52 EDT
The problem here is that filesystem could only own the "know"
/usr/share/locale/* directories (except those possibly owned by glibc, but would
need to manually keep that list in sync with glibc) and all possible subdirs in
those (which are LC_MESSAGES and LC_TIME currently).

Although that would be feasible i agree with Jakub here that packages that
install files there should own those directories and files with the same
arguments he brought up.

So fix is basically up to the respective packages.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.